<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <!-- FileName: NUMBerr01 -->
  <!-- Document: http://www.w3.org/TR/xslt -->
  <!-- DocVersion: 19991116 -->
  <!-- Section: 7.7.1 -->
  <!-- Purpose: Test of excessive size of grouping-separator. -->
  <!-- ExpectedException: grouping-separator must be one character long. -->

<xsl:template match="doc">
  <out>
    <xsl:apply-templates/>
  </out>
</xsl:template>
  
<xsl:template match="note">
  <xsl:number level="any" from="chapter" format="(1) " grouping-size="2" grouping-separator="toobig" />
  <xsl:apply-templates/>
</xsl:template>
 
</xsl:stylesheet>
