<?xml version="1.0"?>

<!-- 36.22.4: Verify that the value attribute is recognized

     Use with model01.xml.
-->

<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <xsl:text>&#10;Books:&#10;</xsl:text>
    <xsl:apply-templates mode = "list-books"   />

    <xsl:text>&#10;Authors:&#10;</xsl:text>
    <xsl:apply-templates mode = "list-authors" />
  </xsl:template>

  <xsl:template match="/books/book" mode="list-books">
    <xsl:number value="position()+100"/>
    <xsl:value-of select="title" />
  </xsl:template>

  <xsl:template match="/books/book" mode="list-authors">
    <xsl:number value="position()+1000"/>
    <xsl:value-of select="author" />
  </xsl:template>
</xsl:transform>



