<?xml version="1.0"?>

<!-- 38.21.0: Verify that the given example is processed properly

     Use with 38210.xml.
-->

<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="title">
    <block>
      <xsl:number level="multiple" format="1.1 "
                  count="chapter|section|subsection" />
      <xsl:apply-templates/>
    </block>
  </xsl:template>

  <xsl:template match="appendix//title" priority="1">
    <block>
      <xsl:number level="multiple" format="A.1 "
                  count="appendix|section|subsection" />
      <xsl:apply-templates/>
    </block>
  </xsl:template>

</xsl:transform>


