<?xml version="1.0"?>

<!-- 50.25.0: Verify that the given sample is processed as expected

     Use with 50250.xml.
-->

<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes"/>

  <xsl:template match="/">
    <root att="foo">
      <xsl:apply-templates/>
    </root>
  </xsl:template>

  <xsl:template name="numbered-block">  
    <xsl:param name="format">1. </xsl:param>
    <block>    
      <xsl:number format="{$format}"/>
      <xsl:apply-templates/>  
    </block>
  </xsl:template>

  <xsl:template match="ol//ol/li">
    <xsl:call-template name="numbered-block">
      <xsl:with-param name="format">a. </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="text()"/>

</xsl:transform>







